Date: Thu, 31 Jul 1997 10:25:40 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: Linux/m68k 2.1.47
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de


The saga continues...

  - Remove Amiboot documentation. Please also do

	rm linux-2.1.47/Documentation/m68k/amiboot.txt

  - Fix some typos: the kernel isn't written in C++ (yet), and Encapsulated
    PostScript is from Adobe, not Symbios Logic :-)
  - I like to get complaints when I make mistakes[*]
  - Remove IDE test code
  - Some Zorro fixes
  - Make `dd if=/dev/vcs2 of=/dev/vcs0' work again
  - Dmasound is meant for both Atari and Amiga
  - Fix IDE on MIPS
  - binfmt_{elf,aout} need init_private_file

[*] This obviously doesn't apply to complaints originating from a human ;-)

Video and abstract console stuff will follow.

--- linux-2.1.47/Documentation/m68k/00-INDEX.orig	Sun May 18 23:08:43 1997
+++ linux-2.1.47/Documentation/m68k/00-INDEX	Wed Jul 30 22:36:48 1997
@@ -1,7 +1,5 @@
 00-INDEX
 	- this file
-amiboot.txt
-	- info and options for the Linux/m68k Amiga bootstrap (Amiboot)
 framebuffer.txt
 	- info about the Linux/m68k frame buffer device
 kernel-options.txt
--- linux-2.1.47/arch/m68k/amiga/amikeyb.c.orig	Tue Jul 29 19:59:01 1997
+++ linux-2.1.47/arch/m68k/amiga/amikeyb.c	Wed Jul 30 22:34:46 1997
@@ -207,7 +207,7 @@
     /* switch SP pin to output for handshake */
     ciaa.cra |= 0x40;
 
-#if 0 // No longer used
+#if 0 /* No longer used */
     /*
      *  On receipt of the second RESET_WARNING, we must not pull KDAT high
      *  again to delay the hard reset as long as possible.
--- linux-2.1.47/arch/m68k/amiga/config.c.orig	Tue Jul 29 22:58:15 1997
+++ linux-2.1.47/arch/m68k/amiga/config.c	Wed Jul 30 23:10:17 1997
@@ -370,13 +370,9 @@
 		  register_console(&amiga_console_driver);
 	  }
 
-#if 0
-  /* It must _not_ be initialized here as the chip mem is not yet free. */
-
   /* our beloved beeper */
   if (AMIGAHW_PRESENT(AMI_AUDIO))
 	  amiga_init_sound();
-#endif
 
   /*
    * if it is an A3000, set the magic bit that forces
--- linux-2.1.47/drivers/block/ide.c.orig	Tue Jul 29 19:59:11 1997
+++ linux-2.1.47/drivers/block/ide.c	Wed Jul 30 22:29:17 1997
@@ -1455,9 +1455,6 @@
  */
 static void unexpected_intr (int irq, ide_hwgroup_t *hwgroup)
 {
-#if 1
-	printk("ide: unexpected_intr\n");
-#else
 	byte stat;
 	unsigned int unit;
 	ide_hwif_t *hwif = hwgroup->hwif;
@@ -1488,7 +1485,6 @@
 	} while ((hwif = hwif->next) != hwgroup->hwif);
 	SELECT_DRIVE(hwif,hwgroup->drive); /* Ugh.. probably interrupts current I/O */
 	udelay(100);  /* Ugly, but wait_stat() may not be safe here */
-#endif
 }
 
 /*
--- linux-2.1.47/drivers/char/lp_mfc.c.orig	Tue Jul 29 19:59:14 1997
+++ linux-2.1.47/drivers/char/lp_mfc.c	Wed Jul 30 22:52:02 1997
@@ -35,7 +35,7 @@
 static volatile int dummy; /* for trigger reads */
 static int minor[MAX_LP] = { -1, -1, -1, -1, -1 };
 #ifdef MODULE
-static int board_key[MAX_LP];
+static unsigned int board_key[MAX_LP];
 #endif
 
 static void lp_mfc_out(int c, int dev)
@@ -96,11 +96,11 @@
 {
 int pias;
 struct pia *pp;
-int key = 0;
-struct ConfigDev *cd;
+unsigned int key = 0;
+const struct ConfigDev *cd;
 
 pias = 0;
-while((key = zorro_find( MANUF_BSC2, PROD_MULTIFACE_III, 0 , key))) {
+while((key = zorro_find(ZORRO_PROD_BSC_MULTIFACE_III, 0 , key))) {
   cd = zorro_get_board( key );
   pp = (struct pia *)ZTWO_VADDR((((u_char *)cd->cd_BoardAddr)+PIABASE));
   if (pias < MAX_LP) {
--- linux-2.1.47/drivers/char/vc_screen.c.orig	Wed Jul 30 19:20:18 1997
+++ linux-2.1.47/drivers/char/vc_screen.c	Wed Jul 30 22:47:53 1997
@@ -255,6 +255,11 @@
 #endif
 		}
 	}
+#ifdef __mc68000__
+	if (currcons == fg_console)
+		/* Horribly inefficient if count < screen size.  */
+		update_screen(currcons);
+#endif
 	written = buf - buf0;
 	file->f_pos += written;
 	RETURN( written );
--- linux-2.1.47/drivers/scsi/cyberII_esp.c.orig	Tue Jul 29 19:59:20 1997
+++ linux-2.1.47/drivers/scsi/cyberII_esp.c	Wed Jul 30 22:31:48 1997
@@ -9,7 +9,7 @@
  *
  * 1) Figure out how to make a cleaner merge with the sparc driver with regard
  *    to the caches and the Sparc MMU mapping.
- * 2) General clean up of the code. The eps.c code should be renamed to
+ * 2) General clean up of the code. The esp.c code should be renamed to
  *    NCR53C9X.c and be updated accordingly (i.e. should be more generic).
  * 3) Make as few routines required outside the generic driver. A lot of the
  *    routines in this file used to be inline!
--- linux-2.1.47/drivers/scsi/fastlane_esp.c.orig	Tue Jul 29 19:59:23 1997
+++ linux-2.1.47/drivers/scsi/fastlane_esp.c	Wed Jul 30 22:32:06 1997
@@ -17,7 +17,7 @@
  *
  * 1) Figure out how to make a cleaner merge with the sparc driver with regard
  *    to the caches and the Sparc MMU mapping.
- * 2) General clean up of the code. The eps.c code should be renamed to
+ * 2) General clean up of the code. The esp.c code should be renamed to
  *    NCR53C9X.c and be updated accordingly (i.e. should be more generic).
  * 3) Make as few routines required outside the generic driver. A lot of the
  *    routines in this file used to be inline!
--- linux-2.1.47/drivers/scsi/cyber_esp.c.orig	Tue Jul 29 19:59:20 1997
+++ linux-2.1.47/drivers/scsi/cyber_esp.c	Wed Jul 30 22:31:59 1997
@@ -13,7 +13,7 @@
  *
  * 1) Figure out how to make a cleaner merge with the sparc driver with regard
  *    to the caches and the Sparc MMU mapping.
- * 2) General clean up of the code. The eps.c code should be renamed to
+ * 2) General clean up of the code. The esp.c code should be renamed to
  *    NCR53C9X.c and be updated accordingly (i.e. should be more generic).
  * 3) Make as few routines required outside the generic driver. A lot of the
  *    routines in this file used to be inline!
--- linux-2.1.47/drivers/scsi/blz1230_esp.c.orig	Tue Jul 29 19:59:20 1997
+++ linux-2.1.47/drivers/scsi/blz1230_esp.c	Wed Jul 30 22:30:58 1997
@@ -10,7 +10,7 @@
  *
  * 1) Figure out how to make a cleaner merge with the sparc driver with regard
  *    to the caches and the Sparc MMU mapping.
- * 2) General clean up of the code. The eps.c code should be renamed to
+ * 2) General clean up of the code. The esp.c code should be renamed to
  *    NCR53C9X.c and be updated accordingly (i.e. should be more generic).
  * 3) Make as few routines required outside the generic driver. A lot of the
  *    routines in this file used to be inline!
--- linux-2.1.47/drivers/scsi/blz2060_esp.c.orig	Tue Jul 29 19:59:20 1997
+++ linux-2.1.47/drivers/scsi/blz2060_esp.c	Wed Jul 30 22:31:39 1997
@@ -10,7 +10,7 @@
  *
  * 1) Figure out how to make a cleaner merge with the sparc driver with regard
  *    to the caches and the Sparc MMU mapping.
- * 2) General clean up of the code. The eps.c code should be renamed to
+ * 2) General clean up of the code. The esp.c code should be renamed to
  *    NCR53C9X.c and be updated accordingly (i.e. should be more generic).
  * 3) Make as few routines required outside the generic driver. A lot of the
  *    routines in this file used to be inline!
--- linux-2.1.47/drivers/scsi/amiga7xx.c.orig	Tue Jul 29 19:59:19 1997
+++ linux-2.1.47/drivers/scsi/amiga7xx.c	Wed Jul 30 22:55:24 1997
@@ -36,7 +36,7 @@
 int amiga7xx_detect(Scsi_Host_Template *tpnt)
 {
     static unsigned char called = 0;
-    int key;
+    unsigned int key;
     int num = 0;
     unsigned long address;
     long long options;
@@ -102,7 +102,7 @@
 #endif
 
 #ifdef CONFIG_GVP_TURBO_SCSI
-    if((key = zorro_find(MANUF_GVP, PROD_GFORCE_040_SCSI, 0, 0)))
+    if((key = zorro_find(ZORRO_PROD_GVP_GFORCE_040_060, 0, 0)))
     {
 	    cd = zorro_get_board(key);
 	    address = ZTWO_VADDR((unsigned long)cd->cd_BoardAddr);
--- linux-2.1.47/drivers/sound/dmasound.c.orig	Thu Apr 24 19:46:15 1997
+++ linux-2.1.47/drivers/sound/dmasound.c	Wed Jul 30 22:33:40 1997
@@ -3,7 +3,7 @@
 
 /*
 
-OSS/free compatible Atari TT DMA sound driver for Linux/m68k
+OSS/Free compatible Atari TT/Falcon and Amiga DMA sound driver for Linux/m68k
 
 (c) 1995 by Michael Schlueter & Michael Marte
 
--- linux-2.1.47/include/asm-mips/ide.h.orig	Tue Jul  8 22:51:26 1997
+++ linux-2.1.47/include/asm-mips/ide.h	Wed Jul 30 23:31:04 1997
@@ -33,18 +33,6 @@
 	}
 }
 
-static __inline__ ide_ioreg_t ide_default_io_base(int index)
-{
-	switch (index) {
-		case 0:	return 0x1f0;
-		case 1:	return 0x170;
-		case 2: return 0x1e8;
-		case 3: return 0x168;
-		default:
-			return 0;
-	}
-}
-
 static __inline__ void ide_init_hwif_ports (ide_ioreg_t *p, ide_ioreg_t base, int *irq)
 {
 	ide_ioreg_t port = base;
@@ -97,11 +85,6 @@
 /*
  * The following are not needed for the non-m68k ports
  */
-static __inline__ int ide_ack_intr (ide_ioreg_t status_port, ide_ioreg_t irq_port)
-{
-	return(1);
-}
-
 static __inline__ void ide_fix_driveid(struct hd_driveid *id)
 {
 }
--- linux-2.1.47/kernel/ksyms.c.orig	Tue Jul 29 19:59:34 1997
+++ linux-2.1.47/kernel/ksyms.c	Wed Jul 30 22:25:49 1997
@@ -392,3 +392,5 @@
 /* binfmt_aout */
 EXPORT_SYMBOL(get_write_access);
 EXPORT_SYMBOL(put_write_access);
+
+EXPORT_SYMBOL(init_private_file);

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/m68k on Amiga          http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

